Redmine - Feature #31920

Require 2FA only for certain user groups
2019-08-17 16:07 - Jens Kramer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 5.0.0

Resolution:

Description

This patch, which should be applied on top of those from #1237, adds a flag to groups so 2FA can be globally optional, but required
for certain groups of users.

Related issues:

Related to Redmine - Feature #35086: Please consider changing the way how 2FA... Closed
Related to Redmine - Feature #35439: Option to require 2FA only for users wit... Closed
Blocked by Redmine - Feature #1237: Add support for two-factor authentication Closed 2008-05-14

Associated revisions

Revision 21060 - 2021-07-04 15:06 - Marius BALTEANU

When 2FA is set to optional, allow to require 2FA only for certain user groups (#31920).

Patch by Jens Kramer.

Revision 21062 - 2021-07-06 08:19 - Go MAEDA
Update locales (#31920).

Revision 21389 - 2022-01-29 10:43 - Marius BALTEANU

Improve readability of must_activate_twofa? function (#31920).

History

#1 - 2019-08-18 14:35 - Go MAEDA
- Blocked by Feature #1237: Add support for two-factor authentication added

#2 - 2020-10-05 23:53 - Marius BALTEANU
- File 0001-Rebase-patch-from-23653.patch added
- Subject changed from require 2FA only for certain user groups to Require 2FA only for certain user groups

- Target version set to 4.2.0
| have rebased this patch in order to deliver this feature together with #1237. All tests pass after I've fixed the rubocop warnings.

#3 - 2021-03-25 08:33 - Marius BALTEANU
- Assignee set to Jean-Philippe Lang
- Target version changed from 4.2.0 to 5.0.0

#4 - 2021-04-19 09:16 - Marius BALTEANU
- Related to Feature #35086: Please consider changing the way how 2FA is set up added

#5 - 2021-06-09 01:38 - Marius BALTEANU
- Assignee changed from Jean-Philippe Lang to Marius BALTEANU

#6 - 2021-06-22 22:55 - Marius BALTEANU
- File deleted (0001-Rebase-patch-from-23653.patch)
#7 - 2021-06-22 22:57 - Marius BALTEANU
- File 0001-Rebase-patch-from-23653.patch added

I've updated the patch for the current trunk and | made two changes:

1. Remove the empty setup do end from test/integration/twofa_test.rb

2. Added a check in app/view/groups/_form.html.erb in order to not diplay the "Require two factor authentication” field for builtin groups (Anonymous
and Non Member) because the option won't make any sense for those groups.

Jens Priesen Kramer, please take a look over my changes, | would like to commit this as soon as possible if the changes look good to you.

#8 - 2021-07-01 11:48 - Jens Kramer

looks good to me!

#9 - 2021-07-04 15:09 - Marius BALTEANU

- Status changed from New to Resolved
Committed the patch. Thank you for your contribution.

#10 - 2021-07-06 08:40 - Marius BALTEANU
- Tracker changed from Patch to Feature

- Status changed from Resolved to Closed

#11 - 2022-01-27 13:52 - Holger Just
- Related to Feature #35439: Option to require 2FA only for users with administration rights added

Files
0005-per-group-2fa-requirement.patch 6.93 KB 2019-08-17 Jens Kramer
0001-Rebase-patch-from-23653.patch 7.36 KB 2021-06-22 Marius BALTEANU
